diff -uNr amyedit-1.0/src/Makefile.in amyedit-1.0-new/src/Makefile.in
--- amyedit-1.0/src/Makefile.in	2006-03-14 16:18:54.000000000 -0500
+++ amyedit-1.0-new/src/Makefile.in	2007-09-18 22:27:34.000000000 -0400
@@ -59,7 +59,7 @@
 	TextListViewListBox.$(OBJEXT) Utils.$(OBJEXT) main.$(OBJEXT) \
 	sourcebuffer.$(OBJEXT) sourcelanguage.$(OBJEXT) \
 	sourcelanguagesmanager.$(OBJEXT) sourceview.$(OBJEXT) \
-	init.$(OBJEXT) keyfile.$(OBJEXT)
+	init.$(OBJEXT)
 am__objects_2 =
 am_amyedit_OBJECTS = $(am__objects_1) $(am__objects_2) \
 	$(am__objects_2)
@@ -256,8 +256,7 @@
 		gtksourceviewmm/sourcelanguage.cpp           \
 		gtksourceviewmm/sourcelanguagesmanager.cpp   \
 		gtksourceviewmm/sourceview.cpp               \
-		gtksourceviewmm/init.cc                      \
-		gtkmm_extra/keyfile.cc
+		gtksourceviewmm/init.cc
 
 headers = \
 		AboutDialog.hh               \
@@ -280,15 +279,13 @@
 		gtksourceviewmm/sourcelanguage.h            \
 		gtksourceviewmm/sourcelanguagesmanager.h    \
 		gtksourceviewmm/sourceview.h                \
-		gtksourceviewmm/init.hh                     \
-		gtkmm_extra/keyfile.h
+		gtksourceviewmm/init.hh
 
 privateheaders = \
 		gtksourceviewmm/private/sourcebuffer_p.h            \
 		gtksourceviewmm/private/sourcelanguage_p.h          \
 		gtksourceviewmm/private/sourcelanguagesmanager_p.h  \
 		gtksourceviewmm/private/sourceview_p.h              \
-		gtkmm_extra/private/keyfile_p.h                     \
 		Utils_p.hh
 
 @PRECOMPILE_HEADERS_FALSE@BUILT_SOURCES = 
@@ -399,7 +396,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TextListViewListBox.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Utils.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/init.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/keyfile.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sourcebuffer.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sourcelanguage.Po@am__quote@
@@ -497,20 +493,6 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o init.obj `if test -f 'gtksourceviewmm/init.cc'; then $(CYGPATH_W) 'gtksourceviewmm/init.cc'; else $(CYGPATH_W) '$(srcdir)/gtksourceviewmm/init.cc'; fi`
 
-keyfile.o: gtkmm_extra/keyfile.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT keyfile.o -MD -MP -MF "$(DEPDIR)/keyfile.Tpo" -c -o keyfile.o `test -f 'gtkmm_extra/keyfile.cc' || echo '$(srcdir)/'`gtkmm_extra/keyfile.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/keyfile.Tpo" "$(DEPDIR)/keyfile.Po"; else rm -f "$(DEPDIR)/keyfile.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gtkmm_extra/keyfile.cc' object='keyfile.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o keyfile.o `test -f 'gtkmm_extra/keyfile.cc' || echo '$(srcdir)/'`gtkmm_extra/keyfile.cc
-
-keyfile.obj: gtkmm_extra/keyfile.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT keyfile.obj -MD -MP -MF "$(DEPDIR)/keyfile.Tpo" -c -o keyfile.obj `if test -f 'gtkmm_extra/keyfile.cc'; then $(CYGPATH_W) 'gtkmm_extra/keyfile.cc'; else $(CYGPATH_W) '$(srcdir)/gtkmm_extra/keyfile.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/keyfile.Tpo" "$(DEPDIR)/keyfile.Po"; else rm -f "$(DEPDIR)/keyfile.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gtkmm_extra/keyfile.cc' object='keyfile.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o keyfile.obj `if test -f 'gtkmm_extra/keyfile.cc'; then $(CYGPATH_W) 'gtkmm_extra/keyfile.cc'; else $(CYGPATH_W) '$(srcdir)/gtkmm_extra/keyfile.cc'; fi`
-
 .cpp.o:
 @am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
diff -uNr amyedit-1.0/src/main.cc amyedit-1.0-new/src/main.cc
--- amyedit-1.0/src/main.cc	2006-03-13 18:08:32.000000000 -0500
+++ amyedit-1.0-new/src/main.cc	2007-09-18 22:24:35.000000000 -0400
@@ -65,7 +65,6 @@
 	
 	Gtk::Main m(&argc, &argv);
 	Gtk::SourceViewmm_init();
-	Glib::keyfile_init();
 
 	/* TODO This should probably be removed and created on demand */
 	
